MAELSTROM(6)

NAME
Maelstrom - an arcade-style game resembling Asteroids

SYNOPSIS
Maelstrom [options]

Maelstrom [-netscores] -printscores

DESCRIPTION
This is a Linux port of the Macintosh game by the same name. This version is remarkably faithful to the original.

You pilot your ship through the dreaded "Maelstrom" asteroid belt -- suddenly your best friend thrusts towards you and fires, directly at your cockpit. You raise your shields just in time, and the battle is joined. The deadliest stretch of space known to mankind has just gotten deadlier. Everywhere massive asteroids jostle for a chance to crush your ship, and deadly Shenobi fighter patrols pursue you across the asteroid belt. But the deadliest of them all is your sister ship, assigned to you on patrol. The pilot, trained by your own Navy, battle-hardened by months in the Maelstrom, is equipped with a twin of your own ship and intimate knowledge of your tactics. The lovely Stratocaster R&R facility never sounded so good, but as you fire full thrusters to dodge the latest barrage you begin to think you'll never get home...

OPTIONS

-display host:0
    Runs Maelstrom on the given X11 display.

-fullscreen
    Puts a big black border around the Maelstrom screen, and centers Maelstrom within it. This help create a "full screen" effect on large displays. During the game the screen mode can be toggled using Alt+Return.

-privatecmap
    Runs Maelstrom with a private (custom) colormap. This prevents Maelstrom from locking up all of the colors on your display. It is only useful on 256 color (pseudo-color) displays.

-gamma [0-8]
    Sets the gamma correction level for Maelstrom. The higher the gamma correction, the brighter Maelstrom will appear on your monitor. If no gamma level is given, Maelstrom will print the current gamma level saved in your custom configuration. Once this option is used, the gamma correction level is saved, and this option doesn't need to be used later unless you want to change it again.

-volume [0-8]
    Sets the sound volume.

-nofade
    Prevents Maelstrom from doing the screen fading. This is useful if you find the fading annoying.

-realfade
    Causes the entire display to fade, not just inside the Maelstrom window.

-netscores
    Tells Maelstrom to use the Internet Maelstrom Score Server for the high score list.

-printscores
    Prints out a list of the current high scores. If used with the -netscores option, it will will connect to the Internet Maelstrom Score Server and print out the world-wide Maelstrom high scores.

-player N[@host][:port]
    Tells Maelstrom that it is playing a network game, and that player N is at host host and/or port port.

-server N@host[:port]
    Tells Maelstrom to use a network address server at host host (and port port) for a multiplayer game with N players.

-deathmatch [N]
    Configures a multiplayer game to continue until someone gets N frags (default = 8). A frag is 3 shots at a player.

-version
    Prints the version of the Maelstrom binary.

-speedtest
    Runs Maelstrom in a graphics test mode. It prints the number of milliseconds it takes for your graphics display to display a full 48-frame, 360 degree rotation of your ship. It is for comparative information only.

NOTES
maelstrom is an alias for Maelstrom; you may use either to start the game.

Maelstrom_sound is the Maelstrom sound server. You do not need (nor should you try) to start this yourself; Maelstrom uses it transparently.

AUTHOR
The original Maelstrom was written for the Macintosh by Andrew Welch. The Linux port was done by Sam Lantinga <slouken@devolution.com>.

The author has approved the inclusion of Maelstrom in Debian distributions, including commercially distributed versions, as long as Maelstrom is not sold independently and remains freely available.

This manual page was contributed by Robert Leslie <rob@mars.org>.